
Foreman - Refactor #29483

Remove usage of Class level methods scope inheritance

04/06/2020 07:17 PM - Ondřej Ezr

Status: Resolved   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases: 3.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7575

  

Description

Remove deprecated behavior - details in https://github.com/rails/rails/pull/35280

Related issues:

Related to Katello - Refactor #29647:  Remove usage of Class level methods sc... Closed

Blocks Foreman - Tracker #28570: Rails 6.1 Tracker Closed

Associated revisions

Revision ca3114fb - 04/16/2020 12:04 PM - Ondřej Ezr

Refs #29483 - remove unecessary use of implicit scopes

History

#1 - 04/06/2020 07:28 PM - Ondřej Ezr

- Blocks Tracker #28570: Rails 6.1 Tracker added

#2 - 04/07/2020 01:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/7575 added

#3 - 04/28/2020 05:14 PM - Anonymous

- Related to Refactor #29647:  Remove usage of Class level methods scope inheritance added

#4 - 08/24/2022 11:19 AM - Ewoud Kohl van Wijngaarden

One commit was merged into Foreman 2.1.0 but this is still open since it was Refs. Can it be closed or is there still work remaining?

#5 - 08/24/2022 02:14 PM - Ondřej Ezr

Yes, I believe so, many improvements were merged since then, I remember Tomer and Leos had touched that and I believe with Rails 6.2 we were

forced to do it properly.

So if everything works with Rails 6.2, lets close.

#6 - 08/24/2022 02:16 PM - Ondřej Ezr

- Status changed from Ready For Testing to Resolved

- Fixed in Releases 3.4.0 added

Setting fixed in release on 3.4, but 3.3 would be more appropriate for sure, but it is already closed relase.
